#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	FFmpegSource - FFmpeg wrapper library
Summary(pl.UTF-8):	FFmpegSource - biblioteka obudowująca FFmpeg
Name:		ffms2
Version:	5.0
Release:	1
License:	MIT (ffmpegsource itself), GPL v3+ (forced by ffmpeg)
Group:		Libraries
#Source0Download: https://github.com/FFMS/ffms2/releases
Source0:	https://github.com/FFMS/ffms2/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c90259950777de3c429a78038a6a00a3
URL:		https://github.com/FFMS/ffms2
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.11
# libavformat >= 60.16.0 libavcodec >= 60.31.0 libswscale >= 7.5.0 libavutil >= 58.29.0 libswresample >= 4.12.0
BuildRequires:	ffmpeg-devel >= 6.1
%ifarch %{armv6}
BuildRequires:	libatomic-devel
%endif
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpmbuild(macros) >= 2.007
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
Obsoletes:	ffmpegsource < 2.20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform
wrapper library around FFmpeg, plus some additional components to deal
with file formats FFmpeg's libavformat has (or used to have) problems
with. It gives you an easy, convenient way to say "open and decompress
this media file for me, I don't care how you do it" and get frame- and
sample-accurate access (usually), without having to bother with the
sometimes less than straightforward and less than perfectly documented
FFmpeg API.

%description -l pl.UTF-8
FFmpegSource (zwykle zwana FFMS lub FFMS2) to wieloplatformowa
biblioteka obudowująca FFmpeg wraz z paroma dodatkowymi komponentami
mającymi radzić sobie z formatami plików, z którymi libavformat z
FFmpeg ma (lub miał) problemy. Umożliwia w łatwy sposób zażądanie
"otwórz i zdekompresuj ten plik, nieważne jak" i uzyskanie dostępu
(zwykle) z dokładnością do ramek i próbek, bez potrzeby zajmowania się
często złożonym, nie najlepiej udokumentowanym API FFmpeg.

%package devel
Summary:	Header files for FFmpegSource library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FFmpegSource
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ffmpeg-devel >= 6.1
Requires:	libstdc++-devel
Requires:	zlib-devel
Provides:	ffmpegsource-devel = %{version}-%{release}
Obsoletes:	ffmpegsource-devel < 2.20

%description devel
Header files for FFmpegSource library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FFmpegSource.

%package static
Summary:	Static FFmpegSource library
Summary(pl.UTF-8):	Statyczna biblioteka FFmpegSource
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	ffmpegsource-static < 2.20

%description static
Static FFmpegSource library.

%description static -l pl.UTF-8
Statyczna biblioteka FFmpegSource.

%prep
%setup -q

install -d src/config

%build
CXXFLAGS="%{rpmcxxflags} -Wall -Wextra"
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
%ifarch %{armv6}
	LIBS=-latomic \
%endif
	--disable-silent-rules \
	--enable-shared \
	%{__enable_disable static_libs static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libffms2.la

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README.md
%attr(755,root,root) %{_bindir}/ffmsindex
%attr(755,root,root) %{_libdir}/libffms2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libffms2.so.5

%files devel
%defattr(644,root,root,755)
%doc doc/ffms2-*.md
%attr(755,root,root) %{_libdir}/libffms2.so
%{_includedir}/ffms.h
%{_includedir}/ffmscompat.h
%{_pkgconfigdir}/ffms2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libffms2.a
%endif
%changelog
* Sun Oct 06 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ffms2.git;a=log;h=master

* Sat Oct 05 2024 Jakub Bogusz <qboosh@pld-linux.org> ff48cad
- updated to 5.0 for ffmpeg 6.1+ (new soname)

* Mon Oct 16 2023 Jan Rękorajski <baggins@pld-linux.org> a704d89
- Release 2 (by relup.sh)

* Mon Jan 24 2022 Jan Palus <atler@pld-linux.org> e99fb1c
- upstream fixes for ffmpeg5

* Sun Dec 19 2021 Jan Palus <atler@pld-linux.org> a31926a
- on armv6 needs linking with libatomic

* Thu Dec 09 2021 Jan Palus <atler@pld-linux.org> e9dfb7a
- remove ffmpeg12 patch dropped from spec in 8d93948

* Thu Dec 09 2021 Jan Palus <atler@pld-linux.org> 45d1616
- up to 2.40

* Sat Mar 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 3373fec
- updated to 2.23
- removed obsolete ffmpeg patches
- drop .la file

* Sun Apr 29 2018 Jan Rękorajski <baggins@pld-linux.org> 5ccd351
- fix building with ffmpeg 4.0
- rel 5

* Tue Mar 22 2016 Jan Rękorajski <baggins@pld-linux.org> b76871b
- fix building with ffmpeg 3
- rel 4

* Wed Apr 22 2015 Jan Rękorajski <baggins@pld-linux.org> 3f1e937
- x32 rebuild
- release 3 (by relup.sh)

* Tue Oct 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fee939
- release 2 (by relup.sh)

* Sat Sep 06 2014 Jakub Bogusz <qboosh@pld-linux.org> ffd255a
- handle libavresample support

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> ce23f19
- build with cxxflags from .travis.yml

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> 8d93948
- renamed to ffms2, project moved to github
- up to 2.20
- new soname libffms2.so.3

* Sun Aug 25 2013 Elan Ruusamäe <glen@delfi.ee> 14659b1
- rebuild with ffmpeg 2.0.1
- release 6 (by relup.sh)

* Fri Jul 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 3428a40
- added ffmpeg12 patch (compatibility up to ffmpeg 1.2.0)

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 37115b3
- release 5 (by relup.sh)

* Thu Jan 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 9d0c260
- added am patch (fixes build with automake 1.13)
- release 4

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 9e97b40
- rel 3

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 5efbf89
- typo

